MdiSubWindow Class Reference

Base class of all MDI client windows. More...

`#include <MdiSubWindow.h>`

Inheritance diagram for MdiSubWindow:

## Public Types

enum | CaptionPolicy { Name = 0, Label = 1, Both = 2 }
| Possible window captions. More...
enum | Status { Hidden = -1, Normal = 0, Minimized = 1, Maximized = 2 }

## Public Slots

virtual void | print ()

## Signals

void | closedWindow (MdiSubWindow *)
| Emitted when the window was closed. More...
void | hiddenWindow (MdiSubWindow *)
| Emitted when the window was hidden. More...
void | modifiedWindow (MdiSubWindow *)
void | resizedWindow (MdiSubWindow *)
void | showContextMenu ()
| Show the context menu. More...
void | statusChanged (MdiSubWindow *)
| Emitted when the window status changed. More...

## Public Member Functions

ApplicationWindow * | applicationWindow ()
| Returns a pointer to the parent application. More...
void | askOnCloseEvent (bool ask)
| Toggle the "ask on close" flag. More...
QString | aspect ()
| Return the window status as a string. More...
QString | birthDate ()
| Return the creation date. More...
CaptionPolicy | captionPolicy ()
| Return the caption policy. More...
void | closeEvent (QCloseEvent *)
| Close event handler. More...
bool | eventFilter (QObject *object, QEvent *e)
| Filters other object's events (customizes title bar's context menu) More...
virtual void | exportPDF (const QString &)
Folder * | folder ()
| Returns the pointer to the parent folder of the window. More...
| MdiSubWindow (const QString &label=QString(), ApplicationWindow *app=0, const QString &name=QString(), Qt::WFlags f=0)
| Constructor. More...
QSize | minRestoreSize ()
| Returns the size the window had before a change state event to minimized. More...
QString | name ()
| Return the window name. More...
void | notifyChanges ()
| Notifies the main application that the window has been modified. More...
virtual void | print (QPrinter *)
void | resizeEvent (QResizeEvent *)
virtual void | restore (const QStringList &)
| Not implemented yet. More...
void | restoreWindow ()
| Show window making sure that layers in MultiLayer windows are not resized. More...
virtual void | save (const QString &, const QString &, bool=false)
void | setBirthDate (const QString &s)
| Set the creation date. More...
void | setCaptionPolicy (CaptionPolicy policy)
| Set the caption policy. More...
void | setFolder (Folder *f)
| Initializes the pointer to the parent folder of the window. More...
virtual void | setHidden ()
| Notifies that a window was hidden by a direct user action. More...
void | setMaximized ()
void | setMinimized ()
void | setName (const QString &s)
| Set the window name. More...
void | setNormal ()
void | setStatus (Status s)
| Set the window status flag (hidden, normal, minimized or maximized) More...
void | setWindowLabel (const QString &s)
| Set the window label. More...
virtual QString | sizeToString ()
| Size of the widget as a string. More...
Status | status ()
| Return the window status flag (hidden, normal, minimized or maximized) More...
QString | windowLabel ()
| Return the window label. More...

## Static Public Member Functions

static QString | parseAsciiFile (const QString &fname, const QString &commentString, int endLine, int ignoreFirstLines, int maxRows, int &rows)
| Static function used as a workaround for ASCII files having end line char != ' '. More...

## Protected Member Functions

virtual void | changeEvent (QEvent *event)
| Catches status changes. More...

## Private Member Functions

void | updateCaption ()
| Set caption according to current CaptionPolicy, name and label. More...

## Static Private Member Functions

static QString | parseMacAsciiFile (const QString &fname, const QString &commentString, int ignoreFirstLines, int maxRows, int &rows)
| Used to parse ASCII files with carriage return ('') endline. More...

## Private Attributes

ApplicationWindow * | d_app
| Pointer to the application window. More...
QString | d_birthdate
| The creation date. More...
CaptionPolicy | d_caption_policy
| The caption policy. More...
bool | d_confirm_close
| Toggle on/off: Ask the user "delete, hide, or cancel?" on a close event. More...
Folder * | d_folder
| Pointer to the parent folder of the window. More...
QString | d_label
| The window label. More...
QSize | d_min_restore_size
| Stores the size the window had before a change state event to minimized. More...
Status | d_status
| The window status. More...

## Detailed Description

Base class of all MDI client windows.

These are the main objects of every Qtiplot project. All content (apart from the directory structure) is managed by subclasses of MdiSubWindow.

# Future Plans

Rename to Aspect.

See also
  Folder, ApplicationWindow

## Member Enumeration Documentation

## CaptionPolicy

enum MdiSubWindow::CaptionPolicy

Possible window captions.

Enumerator
Name | caption determined by the window name
Label | caption detemined by the window label
Both | caption = "name - label"

## Status

enum MdiSubWindow::Status

Enumerator
Hidden |
Normal |
Minimized |
Maximized |

## Constructor & Destructor Documentation

## MdiSubWindow()

MdiSubWindow::MdiSubWindow | ( | const QString & | label = `QString()`,
|  | ApplicationWindow * | app = `0`,
|  | const QString & | name = `QString()`,
|  | Qt::WFlags | f = `0`
| ) |  |

Constructor.

Parameters

  label | window label
  parent | parent widget
  name | window name
  f | window flags

See also
  setCaptionPolicy(), captionPolicy()

References Folder::addWindow(), and d_folder.

## Member Function Documentation

## applicationWindow()

ApplicationWindow* MdiSubWindow::applicationWindow | ( |  | ) |

inline

Returns a pointer to the parent application.

References d_app.

Referenced by Graph3D::addCurve(), AddWidgetTool::addEquation(), MultiLayer::addLayer(), MultiLayer::addLayerButton(), Note::addTab(), AddWidgetTool::addText(), AddWidgetTool::AddWidgetTool(), Table::calculate(), MultiLayer::connectLayer(), RangeSelectorTool::copySelectedCurve(), Matrix::copySelection(), Table::copySelection(), Graph::createTable(), Matrix::determinant(), ArrowMarker::displayInfo(), Graph::dropEvent(), RangeSelectorTool::emitStatusText(), Graph::enableTextEditor(), CanvasPicker::eventFilter(), AddWidgetTool::eventFilter(), MultiLayer::eventFilter(), Matrix::exportASCII(), Table::exportASCII(), Matrix::exportEMF(), MultiLayer::exportEMF(), Graph::exportEMF(), Matrix::exportExcel(), Table::exportExcel(), Matrix::exportOdsSpreadsheet(), Table::exportOdsSpreadsheet(), Table::extractData(), Graph::guessUniqueCurveLayout(), Matrix::ignoreUndo(), Table::importASCII(), Table::init(), Graph::initCurveLayout(), Matrix::initGlobals(), Graph3D::initPlot(), Matrix::initWorkspace(), Matrix::invert(), DataPickerTool::keyEventFilter(), MultiLayer::keyPressEvent(), Graph::legendText(), MultiLayer::MultiLayer(), Table::muParserCalculate(), Graph::newLegend(), Table::notifyChanges(), ImageWidget::paintEvent(), LegendWidget::parse(), Table::pasteSelection(), Matrix::pasteSelection(), Graph::plotBox(), Table::print(), Matrix::print(), MultiLayer::print(), MultiLayer::resizeLayers(), Table::restore(), Graph3D::setBarStyle(), Spectrogram::setDefaultColorMap(), Matrix::setDefaultColorMap(), Graph::setIndexedColors(), LayerDialog::setMultiLayer(), PlotDialog::setMultiLayer(), Table::showComments(), LegendWidget::showTextEditor(), Table::sortColumns(), Table::sortColumnsDialog(), Table::sortTableDialog(), StudentTestDialog::StudentTestDialog(), LayerDialog::update(), AxesDialog::updateGrid(), MultiLayer::updateLayerAxes(), and AddWidgetTool::~AddWidgetTool().

## askOnCloseEvent()

void MdiSubWindow::askOnCloseEvent | ( | bool | ask | ) |

inline

Toggle the "ask on close" flag.

References d_confirm_close, and eventFilter().

Referenced by CreateBinMatrixDialog::accept(), ApplicationWindow::closeProject(), ApplicationWindow::connectMultilayerPlot(), ApplicationWindow::connectSurfacePlot(), ApplicationWindow::connectTable(), BaselineDialog::createBaseline(), FitDialog::deleteFitCurves(), ApplicationWindow::deleteFitTables(), ApplicationWindow::deleteFolder(), ApplicationWindow::initMatrix(), ApplicationWindow::newNote(), and ApplicationWindow::updateConfirmOptions().

## aspect()

QString MdiSubWindow::aspect | ( |  | ) |

Return the window status as a string.

References d_status, Hidden, Maximized, Minimized, and Normal.

Referenced by ApplicationWindow::addListViewItem(), MultiLayer::print(), Graph3D::print(), setBirthDate(), and ApplicationWindow::updateWindowStatus().

## birthDate()

QString MdiSubWindow::birthDate | ( |  | ) |

inline

Return the creation date.

References d_birthdate.

Referenced by ApplicationWindow::addListViewItem(), TableStatistics::save(), Note::save(), MultiLayer::save(), Matrix::save(), Graph3D::save(), Table::save(), and ApplicationWindow::windowProperties().

## captionPolicy()

CaptionPolicy MdiSubWindow::captionPolicy | ( |  | ) |

inline

Return the caption policy.

References d_caption_policy.

Referenced by RenameWindowDialog::accept(), ApplicationWindow::clone(), ApplicationWindow::matrixToTable(), TableStatistics::save(), Note::save(), MultiLayer::save(), Matrix::save(), Graph3D::save(), Table::save(), and RenameWindowDialog::setWidget().

## changeEvent()

void MdiSubWindow::changeEvent | ( | QEvent * | event | ) |

protected virtual

Catches status changes.

References d_min_restore_size, d_status, Maximized, Minimized, Normal, and statusChanged().

Referenced by notifyChanges().

## closedWindow

void MdiSubWindow::closedWindow | ( | MdiSubWindow * |  | ) |

signal

Emitted when the window was closed.

Referenced by closeEvent(), and notifyChanges().

## closeEvent()

void MdiSubWindow::closeEvent | ( | QCloseEvent * | e | ) |

Close event handler.

Ask the user "delete, hide, or cancel?" if the "ask on close" flag is set.

References closedWindow(), d_confirm_close, and hiddenWindow().

Referenced by exportPDF().

## eventFilter()

bool MdiSubWindow::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

Filters other object's events (customizes title bar's context menu)

References ApplicationWindow::customWindowTitleBarMenu(), d_app, d_folder, Folder::setActiveWindow(), ApplicationWindow::setActiveWindow(), and showContextMenu().

Referenced by askOnCloseEvent(), Graph3D::eventFilter(), Table::eventFilter(), MultiLayer::eventFilter(), and Matrix::eventFilter().

## exportPDF()

virtual void MdiSubWindow::exportPDF | ( | const QString & |  | ) |

inline virtual

Reimplemented in Graph3D, MultiLayer, Table, and Note.

References closeEvent(), resizeEvent(), setHidden(), and sizeToString().

## folder()

Folder* MdiSubWindow::folder | ( |  | ) |

inline

Returns the pointer to the parent folder of the window.

References d_folder.

Referenced by ApplicationWindow::closeWindow(), ApplicationWindow::restoreWindowGeometry(), ApplicationWindow::windowActivated(), and ApplicationWindow::windowGeometryInfo().

## hiddenWindow

void MdiSubWindow::hiddenWindow | ( | MdiSubWindow * |  | ) |

signal

Emitted when the window was hidden.

Referenced by closeEvent(), and notifyChanges().

## minRestoreSize()

QSize MdiSubWindow::minRestoreSize | ( |  | ) |

inline

Returns the size the window had before a change state event to minimized.

References d_min_restore_size, and parseAsciiFile().

Referenced by ApplicationWindow::windowGeometryInfo().

## modifiedWindow

void MdiSubWindow::modifiedWindow | ( | MdiSubWindow * |  | ) |

signal

Referenced by Table::addCol(), Table::adjustColumnsWidth(), Matrix::calculate(), Table::calculate(), Table::cellEdited(), Table::clear(), Table::clearCell(), Matrix::clearSelection(), Table::clearSelection(), Table::colWidthModified(), Matrix::deleteSelectedColumns(), Matrix::deleteSelectedRows(), Table::eventFilter(), Matrix::fft(), Table::hideColumn(), Matrix::importASCII(), Matrix::importImage(), Table::insertCols(), Matrix::insertColumn(), Table::insertRow(), Matrix::insertRow(), Note::modifiedNote(), Table::moveColumnBy(), Table::moveRow(), Matrix::muParserCalculate(), Table::muParserCalculate(), Table::normalize(), Table::normalizeSelection(), notifyChanges(), Table::notifyChanges(), Table::pasteSelection(), Matrix::pasteSelection(), Table::removeCol(), MultiLayer::removeLayer(), Matrix::resample(), Table::resizeCols(), Table::resizeRows(), MultiLayer::reverseWaterfallOrder(), Table::setAscValues(), Table::setColComment(), Table::setColName(), Matrix::setColorMap(), Matrix::setColumnsWidth(), Table::setColumnWidth(), Matrix::setCoordinates(), Matrix::setDefaultColorMap(), Matrix::setDimensions(), Matrix::setGrayScale(), Matrix::setHeaderViewType(), Table::setNormalRandomValues(), Matrix::setNumericFormat(), MultiLayer::setNumLayers(), Table::setPlotDesignation(), Matrix::setRainbowColorMap(), Table::setRandomValues(), Table::setReadOnlyColumn(), Matrix::setViewType(), Table::showAllColumns(), Matrix::smooth(), Table::sortColumn(), Table::sortColumns(), and Table::swapColumns().

## name()

QString MdiSubWindow::name | ( |  | ) |

inline

Return the window name.

Referenced by RenameWindowDialog::accept(), PlotDialog::acceptParams(), Note::addTab(), Table::clearSelection(), MultiLayer::copyAllLayers(), Matrix::exportOdsSpreadsheet(), Table::exportOdsSpreadsheet(), Table::importASCII(), LegendWidget::parse(), Table::pasteSelection(), Table::removeCol(), Table::resizeCols(), Note::save(), Graph3D::save(), Table::selectedColumns(), Table::setAscValues(), TableStatistics::setBaseName(), PlotDialog::setMultiLayer(), muParserScript::tablecol(), Graph3D::updateData(), Table::writableSelectedColumns(), Table::YColumns(), and Note::~Note().

## notifyChanges()

void MdiSubWindow::notifyChanges | ( |  | ) |

inline

Notifies the main application that the window has been modified.

References changeEvent(), closedWindow(), hiddenWindow(), modifiedWindow(), parseMacAsciiFile(), resizedWindow(), showContextMenu(), statusChanged(), and updateCaption().

Referenced by PlotDialog::acceptParams(), ErrDialog::add(), MultiLayer::connectLayer(), EnrichmentDialog::createImage(), Note::init(), MatrixEditCellCommand::redo(), EnrichmentDialog::saveImagesInternally(), EnrichmentDialog::setBestSize(), EnrichmentDialog::setCoordinates(), MatrixModel::setData(), MatrixEditCellCommand::undo(), and EnrichmentDialog::updateForm().

## parseAsciiFile()

QString MdiSubWindow::parseAsciiFile | ( | const QString & | fname,
|  | const QString & | commentString,
|  | int | endLine,
|  | int | ignoreFirstLines,
|  | int | maxRows,
|  | int & | rows
| ) |  |

static

Static function used as a workaround for ASCII files having end line char != '
'.

References ApplicationWindow::CR, and parseMacAsciiFile().

Referenced by PreviewTable::importASCII(), MatrixModel::importASCII(), Table::importASCII(), and minRestoreSize().

## parseMacAsciiFile()

QString MdiSubWindow::parseMacAsciiFile | ( | const QString & | fname,
|  | const QString & | commentString,
|  | int | ignoreFirstLines,
|  | int | maxRows,
|  | int & | rows
| ) |  |

static private

Used to parse ASCII files with carriage return ('') endline.

Referenced by notifyChanges(), and parseAsciiFile().

## print [1/2]

virtual void MdiSubWindow::print | ( |  | ) |

inline virtual slot

Reimplemented in Graph3D, MultiLayer, Table, and Note.

Referenced by ApplicationWindow::print().

## print() [2/2]

virtual void MdiSubWindow::print | ( | QPrinter * |  | ) |

inline virtual

Reimplemented in Graph3D, MultiLayer, Table, and Note.

## resizedWindow

void MdiSubWindow::resizedWindow | ( | MdiSubWindow * |  | ) |

signal

Referenced by notifyChanges(), resizeEvent(), and Graph3D::resizeEvent().

## resizeEvent()

void MdiSubWindow::resizeEvent | ( | QResizeEvent * | e | ) |

References resizedWindow().

Referenced by exportPDF().

## restore()

virtual void MdiSubWindow::restore | ( | const QStringList & |  | ) |

inline virtual

Not implemented yet.

Reimplemented in Table, Matrix, and Note.

Referenced by ApplicationWindow::openTemplate().

## restoreWindow()

void MdiSubWindow::restoreWindow | ( |  | ) |

Show window making sure that layers in MultiLayer windows are not resized.

References d_status, Hidden, Maximized, Minimized, Normal, MultiLayer::scaleLayersOnResize(), and MultiLayer::setScaleLayersOnResize().

Referenced by ApplicationWindow::changeFolder(), setFolder(), and ApplicationWindow::showAllFolderWindows().

## save()

virtual void MdiSubWindow::save | ( | const QString & | ,
|  | const QString & | ,
|  | bool | = `false`
| ) |  |

inline virtual

Reimplemented in Table, Graph3D, Matrix, MultiLayer, Note, and TableStatistics.

Referenced by ApplicationWindow::saveAsTemplate(), ApplicationWindow::saveFolder(), and ApplicationWindow::saveWindow().

## setBirthDate()

void MdiSubWindow::setBirthDate | ( | const QString & | s | ) |

inline

Set the creation date.

References aspect(), and d_birthdate.

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::openMatrix(), ApplicationWindow::openNote(), ApplicationWindow::openProject(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), and Graph3D::restore().

## setCaptionPolicy()

void MdiSubWindow::setCaptionPolicy | ( | CaptionPolicy | policy | ) |

inline

Set the caption policy.

References d_caption_policy, and updateCaption().

Referenced by RenameWindowDialog::accept(), ApplicationWindow::appendProject(), ApplicationWindow::clone(), ApplicationWindow::importASCII(), ApplicationWindow::importImage(), ApplicationWindow::loadImage(), ApplicationWindow::matrixToTable(), ApplicationWindow::openMatrix(), ApplicationWindow::openNote(), ApplicationWindow::openProject(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), ApplicationWindow::plotFile(), Graph3D::restore(), Table::restore(), and TableStatistics::TableStatistics().

## setFolder()

void MdiSubWindow::setFolder | ( | Folder * | f | ) |

inline

Initializes the pointer to the parent folder of the window.

References d_folder, restoreWindow(), setMaximized(), setMinimized(), and setNormal().

Referenced by Folder::addWindow().

## setHidden()

void MdiSubWindow::setHidden | ( |  | ) |

virtual

Notifies that a window was hidden by a direct user action.

References d_status, Hidden, and statusChanged().

Referenced by exportPDF(), and ApplicationWindow::hideWindow().

## setMaximized()

void MdiSubWindow::setMaximized | ( |  | ) |

References d_folder, d_status, Maximized, Folder::setActiveWindow(), and statusChanged().

Referenced by ApplicationWindow::changeFolder(), ApplicationWindow::maximizeWindow(), ApplicationWindow::restoreWindowGeometry(), and setFolder().

## setMinimized()

void MdiSubWindow::setMinimized | ( |  | ) |

References d_status, Minimized, and statusChanged().

Referenced by ApplicationWindow::minimizeWindow(), and setFolder().

## setName()

void MdiSubWindow::setName | ( | const QString & | s | ) |

inline

Set the window name.

References updateCaption().

Referenced by ApplicationWindow::initMatrix(), ApplicationWindow::initMultilayerPlot(), ApplicationWindow::initTable(), ApplicationWindow::newPlot3D(), TableStatistics::setBase(), Note::setName(), and ApplicationWindow::setWindowName().

## setNormal()

void MdiSubWindow::setNormal | ( |  | ) |

References d_status, Normal, and statusChanged().

Referenced by ApplicationWindow::activateWindow(), ApplicationWindow::maximizeWindow(), and setFolder().

## setStatus()

void MdiSubWindow::setStatus | ( | Status | s | ) |

Set the window status flag (hidden, normal, minimized or maximized)

References d_status, and statusChanged().

Referenced by ApplicationWindow::changeFolder(), ApplicationWindow::restoreWindowGeometry(), status(), and ApplicationWindow::updateWindowStatus().

## setWindowLabel()

void MdiSubWindow::setWindowLabel | ( | const QString & | s | ) |

inline

Set the window label.

References d_label, and updateCaption().

Referenced by RenameWindowDialog::accept(), ApplicationWindow::appendProject(), ApplicationWindow::clone(), FFT::fftMatrix(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), ApplicationWindow::importASCII(), ApplicationWindow::importExcel(), Matrix::importImage(), ApplicationWindow::importImage(), ApplicationWindow::loadImage(), ApplicationWindow::matrixToTable(), ApplicationWindow::openMatrix(), ApplicationWindow::openNote(), ApplicationWindow::openProject(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), Graph3D::restore(), Table::restore(), Anova::resultTable(), and TableStatistics::setBase().

## showContextMenu

void MdiSubWindow::showContextMenu | ( |  | ) |

signal

Show the context menu.

Referenced by MultiLayer::connectLayer(), eventFilter(), Table::eventFilter(), and notifyChanges().

## sizeToString()

QString MdiSubWindow::sizeToString | ( |  | ) |

virtual

Size of the widget as a string.

Reimplemented in Matrix, MultiLayer, and Table.

Referenced by exportPDF().

## status()

Status MdiSubWindow::status | ( |  | ) |

inline

Return the window status flag (hidden, normal, minimized or maximized)

References d_status, and setStatus().

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::changeFolder(), ApplicationWindow::clone(), ApplicationWindow::maximizeWindow(), ApplicationWindow::openProject(), ApplicationWindow::updateWindowStatus(), and ApplicationWindow::windowGeometryInfo().

## statusChanged

void MdiSubWindow::statusChanged | ( | MdiSubWindow * |  | ) |

signal

Emitted when the window status changed.

Referenced by changeEvent(), notifyChanges(), setHidden(), setMaximized(), setMinimized(), setNormal(), and setStatus().

## updateCaption()

void MdiSubWindow::updateCaption | ( |  | ) |

private

Set caption according to current CaptionPolicy, name and label.

References Both, d_app, d_caption_policy, d_label, Label, Name, and ApplicationWindow::setListViewLabel().

Referenced by notifyChanges(), setCaptionPolicy(), setName(), and setWindowLabel().

## windowLabel()

QString MdiSubWindow::windowLabel | ( |  | ) |

inline

Return the window label.

References d_label.

Referenced by RenameWindowDialog::accept(), ApplicationWindow::addListViewItem(), ApplicationWindow::clone(), Folder::findWindow(), ApplicationWindow::matrixToTable(), LegendWidget::parse(), TableStatistics::save(), Note::save(), MultiLayer::save(), Matrix::save(), Graph3D::save(), Table::save(), RenameWindowDialog::setWidget(), and ApplicationWindow::window().

## Member Data Documentation

## d_app

ApplicationWindow* MdiSubWindow::d_app

private

Pointer to the application window.

Referenced by applicationWindow(), eventFilter(), and updateCaption().

## d_birthdate

QString MdiSubWindow::d_birthdate

private

The creation date.

Referenced by birthDate(), and setBirthDate().

## d_caption_policy

CaptionPolicy MdiSubWindow::d_caption_policy

private

The caption policy.

See also
  setCaptionPolicy(), captionPolicy()

Referenced by captionPolicy(), setCaptionPolicy(), and updateCaption().

## d_confirm_close

bool MdiSubWindow::d_confirm_close

private

Toggle on/off: Ask the user "delete, hide, or cancel?" on a close event.

Referenced by askOnCloseEvent(), and closeEvent().

## d_folder

Folder* MdiSubWindow::d_folder

private

Pointer to the parent folder of the window.

Referenced by eventFilter(), folder(), MdiSubWindow(), setFolder(), and setMaximized().

## d_label

QString MdiSubWindow::d_label

private

The window label.

See also
  setWindowLabel(), windowLabel(), setCaptionPolicy()

Referenced by setWindowLabel(), updateCaption(), and windowLabel().

## d_min_restore_size

QSize MdiSubWindow::d_min_restore_size

private

Stores the size the window had before a change state event to minimized.

Referenced by changeEvent(), and minRestoreSize().

## d_status

Status MdiSubWindow::d_status

private

The window status.

Referenced by aspect(), changeEvent(), restoreWindow(), setHidden(), setMaximized(), setMinimized(), setNormal(), setStatus(), and status().

The documentation for this class was generated from the following files:

- qtiplot/src/core/MdiSubWindow.h
- qtiplot/src/core/MdiSubWindow.cpp